Subject: How can I remove a remote branch from local repo that is removed at the server side

From: Yakup Akbay <[email-masked]>
Date: Tue, 12 May 2009 09:56:51 +0300

Hi,

consider the following situation:

    adg@adghp:~/myrepo$ git branch -a
    * master
      origin/HEAD
      origin/master
      origin/work

I want to remove origin/work from my local repository which is no more 
existing at the origin. git fetch (or pull) does not help either. 
However, it disappears when I remove the following line in 
.git/packed-refs file:

    021a032317425b136b5430c7dead94328996b9d0 refs/remotes/origin/work

Is there command line version to do it?

Regards,
Yakup

Ubicom's HQ in Sunnyvale has Moved!
Our New Address is:
195 Baypointe Parkway
San Jose, CA 95134
(408)433-3330 - Main#
(408)433-3339 - Fax#
www.ubicom.com